Bug 829744 - Inserting optical media crashes kded4
Inserting optical media crashes kded4
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kdelibs (Show other bugs)
7.0
Unspecified Unspecified
high Severity urgent
: alpha
: 7.0
Assigned To: Ngo Than
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 09:27 EDT by Martin
Modified: 2014-09-14 20:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: kdelibs-4.8.3-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 11:15:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin 2012-06-07 09:27:30 EDT
Description of problem:
Inserting optical media crashes kded4

Version-Release number of selected component (if applicable):
kde-runtime-4.8.3-2.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. Insert DVD into optical drive
  
Actual results:
always

Expected results:
kded4 shoud not crash and media should be mountable by GUI.

Additional info:
Application: Run Command Interface (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f69af2ba880 (LWP 13328))]

Thread 2 (Thread 0x7f698e7ed700 (LWP 13458)):
#0  0x00007f69abf1deef in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f69a8466984 in g_main_context_poll (n_fds=1, fds=0x7f6988002c00, timeout=-1, context=0x7f69880009a0, priority=<optimized out>) at gmain.c:3417
#2  g_main_context_iterate (context=context@entry=0x7f69880009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3118
#3  0x00007f69a8466aa4 in g_main_context_iteration (context=0x7f69880009a0, may_block=1) at gmain.c:3184
#4  0x00007f69adcb7a96 in QEventDispatcherGlib::processEvents (this=0x7f69880008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f69adc889ef in QEventLoop::processEvents (this=this@entry=0x7f698e7eccf0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f69adc88c78 in QEventLoop::exec (this=0x7f698e7eccf0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f69adb8c5e0 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f69adc693ff in QInotifyFileSystemWatcherEngine::run (this=0x10789a0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f69adb8f57b in QThreadPrivate::start (arg=0x10789a0) at thread/qthread_unix.cpp:298
#10 0x00007f69ad8ffd14 in start_thread (arg=0x7f698e7ed700) at pthread_create.c:309
#11 0x00007f69abf2699d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f69af2ba880 (LWP 13328)):
[KCrash Handler]
#6  0x000000000060c600 in QByteArray::shared_null ()
#7  0x00007f699ae9910f in udev_log (udev=<optimized out>, priority=priority@entry=6, file=file@entry=0x7f699aea0730 "src/libudev-device.c", line=<optimized out>, fn=<optimized out>, format=<optimized out>) at src/libudev.c:61
#8  0x00007f699ae9cd56 in udev_device_read_db (udev_device=udev_device@entry=0x1435960, dbfile=<optimized out>, dbfile@entry=0x0) at src/libudev-device.c:522
#9  0x00007f699ae9af3f in udev_device_get_properties_list_entry (udev_device=0x1435960) at src/libudev-device.c:1189
#10 0x00007f699ae9b0b3 in udev_device_get_property_value (udev_device=<optimized out>, key=0x145e1e8 "ID_CDROM_MEDIA_STATE") at src/libudev-device.c:454
#11 0x00007f699c0d0285 in UdevQt::Device::deviceProperty (this=0x12b42b0, name=...) at /usr/src/debug/kdelibs-4.8.3/solid/solid/backends/shared/udevqtdevice.cpp:219
#12 0x00007f699c0e36ba in Solid::Backends::UDisks2::OpticalDisc::isAppendable (this=0x12b4280) at /usr/src/debug/kdelibs-4.8.3/solid/solid/backends/udisks2/udisksopticaldisc.cpp:205
#13 0x00007f6982334805 in SolidDeviceEngine::populateDeviceData (this=this@entry=0x12f3a70, name=...) at /usr/src/debug/kde-workspace-4.8.3/plasma/generic/dataengines/soliddevice/soliddeviceengine.cpp:341
#14 0x00007f6982338ac1 in SolidDeviceEngine::sourceRequestEvent (this=0x12f3a70, name=...) at /usr/src/debug/kde-workspace-4.8.3/plasma/generic/dataengines/soliddevice/soliddeviceengine.cpp:77
#15 0x00007f699a63e51d in Plasma::DataEnginePrivate::requestSource (this=0x12f1330, sourceName=..., newSource=newSource@entry=0x7fff604c3d1f) at /usr/src/debug/kdelibs-4.8.3/plasma/dataengine.cpp:707
#16 0x00007f699a63e726 in Plasma::DataEngine::connectSource (this=0x12f3a70, source=..., visualization=0x1433070, pollingInterval=0, intervalAlignment=Plasma::NoAlignment) at /usr/src/debug/kdelibs-4.8.3/plasma/dataengine.cpp:95
#17 0x00007f698275725f in SolidRunner::onSourceAdded (this=0x12d0ce0, name=...) at /usr/src/debug/kde-workspace-4.8.3/plasma/generic/runners/solid/solidrunner.cpp:260
#18 0x00007f6982757589 in SolidRunner::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kde-workspace-4.8.3/x86_64-redhat-linux-gnu/plasma/generic/runners/solid/solidrunner.moc:57
#19 0x00007f69adca012f in QMetaObject::activate (sender=0x12f5bf0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff604c3f00) at kernel/qobject.cpp:3547
#20 0x00007f699a63d282 in Plasma::DataEngine::sourceAdded (this=this@entry=0x12f5bf0, _t1=...) at /usr/src/debug/kdelibs-4.8.3/x86_64-redhat-linux-gnu/plasma/dataengine.moc:204
#21 0x00007f699a63e997 in Plasma::DataEngine::setData (this=0x12f5bf0, source=..., data=...) at /usr/src/debug/kdelibs-4.8.3/plasma/dataengine.cpp:223
#22 0x00007f6982549c1f in HotplugEngine::onDeviceAdded (this=this@entry=0x12f5bf0, device=..., added=added@entry=true) at /usr/src/debug/kde-workspace-4.8.3/plasma/generic/dataengines/hotplug/hotplugengine.cpp:243
#23 0x00007f698254a680 in HotplugEngine::onDeviceAdded (this=0x12f5bf0, udi=...) at /usr/src/debug/kde-workspace-4.8.3/plasma/generic/dataengines/hotplug/hotplugengine.cpp:170
#24 0x00007f69adca012f in QMetaObject::activate (sender=0xf66750, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff604c42b0) at kernel/qobject.cpp:3547
#25 0x00007f699c093a32 in Solid::DeviceNotifier::deviceAdded (this=this@entry=0xf66750, _t1=...) at /usr/src/debug/kdelibs-4.8.3/x86_64-redhat-linux-gnu/solid/solid/devicenotifier.moc:100
#26 0x00007f699c094a6b in Solid::DeviceManagerPrivate::_k_deviceAdded (this=0xf66750, udi=...) at /usr/src/debug/kdelibs-4.8.3/solid/solid/devicemanager.cpp:189
#27 0x00007f69adca012f in QMetaObject::activate (sender=0x1085ef0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff604c4490) at kernel/qobject.cpp:3547
#28 0x00007f699c0a8b62 in Solid::Ifaces::DeviceManager::deviceAdded (this=<optimized out>, _t1=...) at /usr/src/debug/kdelibs-4.8.3/x86_64-redhat-linux-gnu/solid/solid/ifaces/devicemanager.moc:100
#29 0x00007f699c0d6405 in Solid::Backends::UDisks2::Manager::slotInterfacesAdded (this=0x1085ef0, object_path=..., interfaces_and_properties=...) at /usr/src/debug/kdelibs-4.8.3/solid/solid/backends/udisks2/udisksmanager.cpp:252
#30 0x00007f69adca012f in QMetaObject::activate (sender=0x1085f08, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff604c4650) at kernel/qobject.cpp:3547
#31 0x00007f699c0913e7 in OrgFreedesktopDBusObjectManagerInterface::InterfacesAdded (this=this@entry=0x1085f08, _t1=..., _t2=...) at /usr/src/debug/kdelibs-4.8.3/x86_64-redhat-linux-gnu/solid/solid/moc_manager.cpp:110
#32 0x00007f699c09154a in OrgFreedesktopDBusObjectManagerInterface::qt_static_metacall (_o=0x1085f08, _c=<optimized out>, _id=<optimized out>, _a=0x7fff604c48c0) at /usr/src/debug/kdelibs-4.8.3/x86_64-redhat-linux-gnu/solid/solid/moc_manager.cpp:58
#33 0x00007f699c0917ab in OrgFreedesktopDBusObjectManagerInterface::qt_metacall (this=0x1085f08, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff604c48c0) at /usr/src/debug/kdelibs-4.8.3/x86_64-redhat-linux-gnu/solid/solid/moc_manager.cpp:100
#34 0x00007f69ae003e93 in QDBusConnectionPrivate::deliverCall (this=0x10760b0, object=0x1085f08, msg=..., metaTypes=..., slotIdx=5) at qdbusintegrator.cpp:947
#35 0x00007f69adc9e27e in QObject::event (this=0x1085f08, e=<optimized out>) at kernel/qobject.cpp:1195
#36 0x00007f69ace204ac in QApplicationPrivate::notify_helper (this=this@entry=0xf61030, receiver=receiver@entry=0x1085f08, e=e@entry=0x14362c0) at kernel/qapplication.cpp:4554
#37 0x00007f69ace249da in QApplication::notify (this=0xf5dd50, receiver=0x1085f08, e=0x14362c0) at kernel/qapplication.cpp:4415
#38 0x00007f69aeca5a96 in KApplication::notify (this=0xf5dd50, receiver=0x1085f08, event=0x14362c0) at /usr/src/debug/kdelibs-4.8.3/kdeui/kernel/kapplication.cpp:311
#39 0x00007f69adc899ee in QCoreApplication::notifyInternal (this=0xf5dd50, receiver=receiver@entry=0x1085f08, event=event@entry=0x14362c0) at kernel/qcoreapplication.cpp:876
#40 0x00007f69adc8d491 in sendEvent (event=0x14362c0, receiver=0x1085f08) at kernel/qcoreapplication.h:231
#41 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xea82d0) at kernel/qcoreapplication.cpp:1500
#42 0x00007f69adcb78e3 in sendPostedEvents () at kernel/qcoreapplication.h:236
#43 postEventSourceDispatch (s=s@entry=0xf63200) at kernel/qeventdispatcher_glib.cpp:279
#44 0x00007f69a84665cc in g_main_dispatch (context=0xf63030) at gmain.c:2515
#45 g_main_context_dispatch (context=context@entry=0xf63030) at gmain.c:3052
#46 0x00007f69a84669e8 in g_main_context_iterate (context=context@entry=0xf63030, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3123
#47 0x00007f69a8466aa4 in g_main_context_iteration (context=0xf63030, may_block=1) at gmain.c:3184
#48 0x00007f69adcb7a76 in QEventDispatcherGlib::processEvents (this=0xf60da0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#49 0x00007f69acec041e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#50 0x00007f69adc889ef in QEventLoop::processEvents (this=this@entry=0x7fff604c5240, flags=...) at kernel/qeventloop.cpp:149
#51 0x00007f69adc88c78 in QEventLoop::exec (this=0x7fff604c5240, flags=...) at kernel/qeventloop.cpp:204
#52 0x00007f69adc8d7a8 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#53 0x00007f699484656f in kdemain (argc=1, argv=0xf227e0) at /usr/src/debug/kde-workspace-4.8.3/krunner/main.cpp:66
#54 0x0000000000408242 in launch (argc=argc@entry=1, _name=_name@entry=0xf24a18 "/usr/bin/krunner", args=args@entry=0xf24a29 "", cwd=cwd@entry=0x0, envc=envc@entry=0, envs=<optimized out>, envs@entry=0xf24a31 "", reset_env=false, tty=tty@entry=0x0, avoid_loops=false, startup_id_str=startup_id_str@entry=0x40aad6 "0") at /usr/src/debug/kdelibs-4.8.3/kinit/kinit.cpp:734
#55 0x00000000004090db in handle_launcher_request (sock=8, who=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at /usr/src/debug/kdelibs-4.8.3/kinit/kinit.cpp:1226
#56 0x0000000000409720 in handle_requests (waitForPid=waitForPid@entry=0) at /usr/src/debug/kdelibs-4.8.3/kinit/kinit.cpp:1419
#57 0x00000000004052a7 in main (argc=4, argv=<optimized out>, envp=0x7fff604c6150) at /usr/src/debug/kdelibs-4.8.3/kinit/kinit.cpp:1907
Comment 1 Martin 2012-06-07 09:29:17 EDT
Actual results:
kded4 crash after media insert
Comment 2 Ludek Smid 2012-06-22 10:43:42 EDT
Could you provide status update? RHEL 7.0 Alpha 2 RC compose starts July 6.
Comment 3 Ngo Than 2012-06-25 04:30:21 EDT
it's a bug in solid backend which is part of kdelibs. It should be fixed in kdelibs-4.8.3-4.el7.

http://brewweb.devel.redhat.com/brew/taskinfo?taskID=4545693
Comment 5 Martin 2012-06-25 09:16:57 EDT
kdelibs-4.8.3-4.el7 fixes the bug.

Note You need to log in before you can comment on or make changes to this bug.